node {

        stage('build') {
            when { branch 'develop' }
            def sonarqubeScannerHome = tool name: 'sonarscanner'
            withSonarQubeEnv('sonar') {
                sh "${sonarqubeScannerHome}/bin/sonar-scanner"
            }
        }
    
}
